/*
FILENAME: bu-global-custom.css
DESC: additional classes to provide a 'BU look and feel' for the Apex Universal Theme styles
NOTE: selector names are based on somewhat of a naming convention
NamingConvention:           page-{appNumber}-{pageNumber}-{elementType}-{elementName} 
NamingConvention EXAMPLE:   page-110-13-region-search-directory
*/

/* REFERENCE 
DESC = these are hex color code values for some of the most common BU colors 
REF = (SRC = BU visual guidelines doc @ )

bu navy blue - #003057 
bu dark blue - #11426E 
bu light blue - #005283 

lt grey - #ececec 
dark grey - #404040

*/


/*  *********************
    BU custom classes 
************************** */

/* bg color for container or region headers */

/* replaced these with assigned class of 'container-heading'
#page-110-2-container > div:nth-child(1)
...
#page-110-24-container > div:nth-child(1),
*/
#page-110-13-region-search-directory > div:nth-child(1), 
#page-110-13-region-directory-listings > div:nth-child(1){   
    background-color: #003057;
}

/* text color for container or region headers */
#page-109-12-container_heading, 
#page-109-15-container_heading, 
#page-109-7-container_heading, 
#page-109-10-container_heading, 
#page-110-2-container_heading, 
#page-110-3-container_heading, 
#page-110-4-container_heading, 
#page-110-5-container_heading, 
#page-110-6-container_heading, 
#page-110-12-container_heading,
#page-110-14-container_heading,
#page-110-15-container_heading,
#page-110-18-container_heading,
#page-110-19-container_heading,
#page-110-20-container_heading,
#page-110-24-container_heading,
#page-110-13-region-search-directory_heading, 
#page-110-13-region-directory-listings_heading{   
    color: #fff;
}

/* workaround - centers the login form on the page vertically 

...2123 - BU Admissions 114-102 Login
...0969 - BU Admissions 114-15 Register
...7866 - BU Admissions 114-17 Change password
...3149 - 
*/

#R29314518213197866, #R29309636745890969, #R29562524906022123, #R20546995552943149{
    margin-top:150px !important;
}

/* used to center login element vertically on page*/
.margin-top-150{
    margin-top:150px !important;
}

/* used to wrap long label text on mobile, ex page-114-5  page-item P5_FORCES */

.label-wrap{
  white-space: normal !important;
  word-wrap: break-word;
  overflow-wrap: break-word;
}

.bu-button-primary {
  background-color: #003057;
  color: #fff;
  margin-top: 17px;
}

.bu-button-secondary {
  margin-top: 17px;
}

.container-heading-text-2 > div:nth-child(1){
    color: #fff;
}


/* for form containers on Create/Edit pages (110-19) */
.center-container {
    max-width: 1200px; /* Adjust width as needed */
    margin: 0 auto; /* Centers the container */
}

/* container headings where only a single form in the container on PG (PGS= 110-6, 110-19,)*/
.container-heading > div:nth-child(1){
    background-color: #003057;
}

/* used on 101 login pages for SSO button wher e*/
.center-button {
    display: block;
    margin: 20px auto 0; /* top margin, horizontal auto-center */
  }


/* *****************
APEX - universal theme - classes - add/override 
******************** */

/* top nav bar - gold BU border*/
.t-Header-branding{
    background-color: #003057;
    border-bottom: .75em solid #eaaa00;
}

.t-Body-nav{
    background-color: #005283;
}
/* DEPRECATED used as BG color on Tabs menu in apps(109)  */

.t-Header-nav
{
    background-color: #F5DEB3; /* #E0E0E0; grey hsl(51, 59%, 74%) gold*/
}

/*LH Nav menu selected */

.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-current,
.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-selected,
.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-current--top.is-selected {
    background-color:#003057;
}
.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-current--top,
.t-TreeNav .a-TreeView-node--topLevel.is-collapsible > .a-TreeView-row,
.t-TreeNav .a-TreeView-node--topLevel ul {
    background-color: #003057;
    color: #cccccc;
}
.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-hover {
    background-color: #003057 !important;
}


.t-Region-header {
    background-color:#003057;
}

.t-Region-title {
    color:#ffffff;
}

/* nav bar user menu */

.a-Menu-content{
    background-color:#005283;
}

.a-Menu-inner{
    background-color:#003057;
}

a-Menu-label {
    color: #ffffff !important;
}


/* classic report - column headings */

.t-Report-colHead{
    color: #ffffff;
    background-color: #005283;
}

.a-Report-SortHeading-Anchor--event{
    color: #ffffff !important;
}

/* interactive grid column headings row */
.a-GV-header, .a-GV-headerGroup {
    background-color: #ececec ;
}

/* dt/dl list dt headings page-114-11 */

.t-Region-body > dl:nth-child(7) > dt {
    font-weight: bold;
}

/* used to wrap long titles text on mobile, also adds margin between app icon and title text */
.t-Header-logo > a > span
 {
  margin-left: 10px !important;
  white-space: normal !important;
  line-height: 1.2;
  text-align: left;
}
